﻿using System.Xml;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region XML 구하기 - GetXML(document)

    /// <summary>
    /// XML 구하기
    /// </summary>
    /// <param name="document">XML 문서</param>
    /// <returns>XML</returns>
    private static string GetXML(XmlDocument document)
    {
        using(StringWriter stringWriter = new StringWriter())
        {
            using(XmlTextWriter xmlTextWriter = new XmlTextWriter(stringWriter))
            {
                document.WriteTo(xmlTextWriter);

                string xml = stringWriter.ToString();

                return xml;
            }
        }
    }

    #endregion
    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        XmlDocument document = new XmlDocument();

        document.Load("sample.xml");

        string xml = GetXML(document);

        Console.WriteLine(xml);
    }

    #endregion
}